import QtQuick 2.0
import QtQuick.Controls 2.3
import QtQuick.Layouts 1.1

ColumnLayout{
    property alias selectedText : cmbSelect.currentText

    ComboBox {
        id: cmbSelect
        Layout.fillWidth:true
        model: ListModel {
            ListElement { text:"item1"}
            ListElement { text:"item2"}
            ListElement { text:"item3"}
        }
    }

    RowLayout{
        TextField {
            id: txtAdd
            Layout.fillWidth:true
        }

        Button {
            id: btnAdd
            text: qsTr("Add")
            onClicked: {
                var text = txtAdd.text;
                console.log(text);
                if(text) cmbSelect.model.append({text:text});
            }
        }
    }
}

/*##^## Designer {
    D{i:0;autoSize:true;height:480;width:640}
}
 ##^##*/
